(Solucionado) Problema con un archivo o algo y no puedo actualizar, instalar paquetes...nada!

Imagen de shealock
0 puntos

Estimados amigos. Soy usuario nuevo de Linux (en este caso Ubuntu 7.10). Hasta ahora mis dudas las he solventado de forma pasiva (sin postear) en este foro, pero ahora me veo obligado a pediros ayuda. Mi problema es el siguiente: hasta ahora las actualizaciones que han ido saliendo las he ido instalando. Llevo con esta versión de Ubuntu desde hace una semana y ni un solo problema hasta ahora, pero ahora me aparece un error que me impide instalar cualquier paquete, el sinaptic, updates, TODO! La captura del error es la siguiente:

http://img502.imageshack.us/img502/8992/pantallazoupdatemanagerjt9.png

Mi conocimiento de los entresijos del ubuntu es nulo, sobre todo consola. Así que rogaría un lenguaje entendible o con ejemplos si no es mucho pedir.

 

Fui al archivo ese del sources y era una entrada al final del archivo que es la que provoca todo esto:

“deb http://download.tuxfamily.org/screenlets gutsy screenlets” (la famosa linea 77).

El problema es que no sé como modificar el archivo porque no me deja (tema de permisos). Algun alma caritativa? :D

 

 

 

 

 

Imagen de andresrinaldi_uy
+1
0
-1

me parece que es por las comillas...no se si tu archivo las tiene, pero no deberian ir...

Puedes intentar comentar la linea 77 agregando al principio de la linea un numeral (#).

Luego entras a synaptic y presionas recargar y supongo yo que si solo es eso deberia andar...

Salu2.

+1
0
-1

Hardware: Lo que golpeas...Software: La causa.

Imagen de Gabriel_M
+1
0
-1

Hola she...:

Debes ejecutar el editor de textos con permisos temporarios de root, anteponiendo sudo

En consola ejecuta:

sudo gedit /etc/apt/sources.list 

Borra la línea 77

Guarda el archivo.

Sal de gedit.

Inicia synaptic 

Saludos.


Equipo de Ubuntu-es
+1
0
-1
Imagen de shealock
+1
0
-1

Gracias por la ayuda. Eliminé esa línea y todo arreglado.

+1
0
-1